{% for episode in episodes %}
<h2>{{ episode.name }}</h3>
	{% for puzzle in episode.puzzles %}
		<h3 class="stats-puzzle-heading">{{ puzzle.title }}</h3>
		<table class="player-stats-table">
			<colgroup>
				<col class="position-column" />
				<col />
				<col class="duration-column" />
			</colgroup>
			<tbody>
				{% for position, team, payload in puzzle.times %}
				<tr>
					<td>{{ position }}</td>
					<td>
						{{ team }}
						{% if payload.size_category %}<span class="size-category">({{ payload.size_category }})</span>{% endif %}
					</td>
					<td>{{ payload.time }}</td>
				</tr>
				{% endfor %}
			</tbody>
		</table>
	{% endfor %}
{% endfor %}
